<template lang="pug">
iframe.b-ssvg(v-if='hasFrame' ref='frame' :src='src' @load='_onFrameLoaded')
  slot(name='default')
svg.b-ssvg(v-else ref='svg' :preserveAspectRatio='preserveAspectRatio')
  slot(name='default')
</template>
<script>

export { default } from "./BaseSSVG.vue.js";

</script>
<style>
iframe.b-ssvg {
  border: 0;
}
</style>
